Bug 1564769 - [RFE] Expose libvirt disk latency and disk iops
Summary: [RFE] Expose libvirt disk latency and disk iops
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Mehdi ABAAKOUK
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-07 16:41 UTC by David Vallee Delisle
Modified: 2018-08-20 22:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-04 16:43:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Vallee Delisle 2018-04-07 16:41:01 UTC
Description of problem:
It appears that ceilometer is not supporting the disk latency and disk iops metrics from libvirt. These metrics should have been added to the libvirt stats according to Bug 715019

Ceilometer is supporting these metrics for Hyper-V according to upstream documentation.
https://docs.openstack.org/ceilometer/latest/admin/telemetry-measurements.html

Comment 2 Mehdi ABAAKOUK 2018-04-17 14:15:02 UTC
disks.iops and disks.latency are Hyper-V specific and aggregated metrics will be deprecated in the future. The libvirt equivalent can be computed with disk.device.read.request/disk.device.write.requests, and disk.device.read.latency/disk.device.write.latency.

Is that fit your needs ?


Note You need to log in before you can comment on or make changes to this bug.